Uploaded image for project: 'MongoDB Database Tools'
  1. MongoDB Database Tools
  2. TOOLS-2864

Version Compatibility Notifications

    XMLWordPrintable

    Details

    • Type: Epic
    • Status: Open
    • Priority: Major - P3
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Epic Name:
      Tools Version Compatibility Notifications

      Description

      Today, users of the DB Tools are responsible for understanding which versions of the tools are compatible with which MongoDB server versions, and the tools make no attempt to warn a user connecting to an incompatible MongoDB version or to prohibit them from doing so.

      With the advent of quarterly versions, it will become more likely that users may end up in a situation where they are accidentally running incompatible versions of the DB Tools and MongoDB server. We should consider adding some guardrails to the tools to make users more aware of these situations when they arise and how to resolve them

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            ryan.chipman Ryan Chipman
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated: